Guest User

Untitled

a guest
Nov 29th, 2018
85
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. ==> Starting check()...
  2. ========================================================================= test session starts =========================================================================
  3. platform linux -- Python 3.7.1, pytest-4.0.1, py-1.7.0, pluggy-0.8.0
  4. rootdir: /home/user/.cache/aurman/python-pyarrow/src/arrow-apache-arrow-0.11.0/python, inifile: setup.cfg
  5. collected 0 items / 1 errors
  6.  
  7. =============================================================================== ERRORS ================================================================================
  8. __________________________________________________________________________ ERROR collecting __________________________________________________________________________
  9. /usr/lib/python3.7/site-packages/_pytest/config/__init__.py:430: in _importconftest
  10. return self._conftestpath2mod[conftestpath]
  11. E KeyError: local('/home/user/.cache/aurman/python-pyarrow/src/arrow-apache-arrow-0.11.0/python/pyarrow/tests/conftest.py')
  12.  
  13. During handling of the above exception, another exception occurred:
  14. /usr/lib/python3.7/site-packages/_pytest/config/__init__.py:436: in _importconftest
  15. mod = conftestpath.pyimport()
  16. /usr/lib/python3.7/site-packages/py/_path/local.py:668: in pyimport
  17. __import__(modname)
  18. pyarrow/__init__.py:54: in <module>
  19. from pyarrow.lib import cpu_count, set_cpu_count
  20. E ImportError: /usr/lib/libarrow.so.11: undefined symbol: _ZN3orc16RowReaderOptions12includeTypesERKSt4listImSaImEE
  21.  
  22. During handling of the above exception, another exception occurred:
  23. /usr/lib/python3.7/site-packages/py/_path/common.py:377: in visit
  24. for x in Visitor(fil, rec, ignore, bf, sort).gen(self):
  25. /usr/lib/python3.7/site-packages/py/_path/common.py:429: in gen
  26. for p in self.gen(subdir):
  27. /usr/lib/python3.7/site-packages/py/_path/common.py:418: in gen
  28. dirs = self.optsort([p for p in entries
  29. /usr/lib/python3.7/site-packages/py/_path/common.py:419: in <listcomp>
  30. if p.check(dir=1) and (rec is None or rec(p))])
  31. /usr/lib/python3.7/site-packages/_pytest/main.py:617: in _recurse
  32. ihook = self.gethookproxy(dirpath)
  33. /usr/lib/python3.7/site-packages/_pytest/main.py:434: in gethookproxy
  34. my_conftestmodules = pm._getconftestmodules(fspath)
  35. /usr/lib/python3.7/site-packages/_pytest/config/__init__.py:414: in _getconftestmodules
  36. mod = self._importconftest(conftestpath)
  37. /usr/lib/python3.7/site-packages/_pytest/config/__init__.py:453: in _importconftest
  38. raise ConftestImportFailure(conftestpath, sys.exc_info())
  39. E _pytest.config.ConftestImportFailure: (local('/home/user/.cache/aurman/python-pyarrow/src/arrow-apache-arrow-0.11.0/python/pyarrow/tests/conftest.py'), (<class 'ImportError'>, ImportError('/usr/lib/libarrow.so.11: undefined symbol: _ZN3orc16RowReaderOptions12includeTypesERKSt4listImSaImEE'), <traceback object at 0x7fb841461f48>))
  40. !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Interrupted: 1 errors during collection !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  41. ======================================================================= 1 error in 0.23 seconds =======================================================================
RAW Paste Data